### File

`packages/eui/packages/components-next/src/lib/components/eui-tabs/eui-tabs.component.ts`

### Implements

`OnDestroy` `AfterViewInit` `OnChanges`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `eui-tabs`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-tabs.component.html`

### Index

###### Properties
_isMainNavigation _isSubTabs _isVerticalTabs _tabs Public currentOffset Public currentState euiTabLabelItems euiTabsItems euiTabsItemsWrapper host Public navigationLeftButtonDisabled Public navigationRightButtonDisabled Public scrolling
###### Methods
Public changeTab Public close Public closeTab Public detectChanges Public goToLeft Public goToRight Public onContentChanges Public onKeyUp
###### Inputs
activeTabIndex e2eAttr isMainNavigation isSubTabs isVerticalTabs pathMatch styleClass tabs
###### Outputs
tabClosed tabSelected
###### HostListeners
window:resize
###### Accessors
isMainNavigation isSubTabs isVerticalTabs

### Constructor

`constructor(cd: ChangeDetectorRef, router: Router, builder: AnimationBuilder)`
Parameters :
Name | Type | Optional
cd | `ChangeDetectorRef` | No
router | `Router` | No
builder | `AnimationBuilder` | No

### Inputs

activeTabIndex
Default value : `null`

e2eAttr
Default value : `'eui-tabs'`

isMainNavigation

isSubTabs

isVerticalTabs

pathMatch
Default value : `'prefix'`

styleClass
Type : `string`

tabs
Type : `EuiTabComponent[]`
Default value : `[]`

### Outputs

tabClosed
Type : `EventEmitter`

tabSelected
Type : `EventEmitter`

### HostListeners

window:resize
Arguments : `'$event'`
`window:resize()`

### Methods

Public changeTab
`changeTab(index: number)`
Parameters :
Name | Type | Optional
index | `number` | No
Returns : `void`

Public close
`close(index: number)`
Close a tab pass in parameter. Parameters :
Name | Type | Optional | Description
index | `number` | No | Index of the tab to close
Returns : `void`

Public closeTab
`closeTab(index: number, e: any)`
Parameters :
Name | Type | Optional
index | `number` | No
e | `any` | No
Returns : `void`

Public detectChanges
`detectChanges()`
Returns : `void`

Public goToLeft
`goToLeft()`
Returns : `void`

Public goToRight
`goToRight()`
Returns : `void`

Public onContentChanges
`onContentChanges()`
Returns : `void`

Public onKeyUp
`onKeyUp(evt: KeyboardEvent, index: number)`
Parameters :
Name | Type | Optional
evt | `KeyboardEvent` | No
index | `number` | No
Returns : `void`

### Properties

_isMainNavigation
Default value : `false`

_isSubTabs
Default value : `false`

_isVerticalTabs
Default value : `false`

_tabs
Type : `QueryList<EuiTabComponent>`
Decorators : `@ContentChildren(undefined, {descendants: false})`

Public currentOffset
Type : `number`
Default value : `0`

Public currentState
Type : `string`
Default value : `'initial'`

euiTabLabelItems
Type : `QueryList<ViewContainerRef>`
Decorators : `@ViewChildren('euiTabLabelItem', {read: ViewContainerRef})`

euiTabsItems
Type : `ElementRef`
Decorators : `@ViewChild('euiTabsItems')`

euiTabsItemsWrapper
Type : `ElementRef`
Decorators : `@ViewChild('euiTabsItemsWrapper')`

host
Type : `ElementRef`
Decorators : `@ViewChild('host')`

Public navigationLeftButtonDisabled
Default value : `true`

Public navigationRightButtonDisabled
Default value : `false`

Public scrolling
Default value : `false`

### Accessors

isMainNavigation
set `isMainNavigation(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

isSubTabs
set `isSubTabs(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

isVerticalTabs
set `isVerticalTabs(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

# result-matching ""

# No results matching ""